## sympl-dns 9.0.190604.0

=== Makefile ===

all: docs

man/%.man: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=./lib:../common/lib $<  --help | sed -e 's/^=\+$$//' | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@

docs: man/sympl-dns-generate.man

test: test1.9.1 test2.0 test2.1 test2.3

test1.9.1:
	[ -z "`which ruby1.9.1`" ] || ruby1.9.1 ../common/bin/sympl-test test.d

test2.0:
	[ -z "`which ruby2.0`" ] || ruby2.0 ../common/bin/sympl-test test.d

test2.1:
	[ -z "`which ruby2.1`" ] || ruby2.1 ../common/bin/sympl-test test.d

test2.3:
	[ -z "`which ruby2.3`" ] || ruby2.3 ../common/bin/sympl-test test.d

clean:
	$(RM) -r man

.PHONY: clean docs all test test1.8 test1.9.1

=== debian/changelog ===
sympl-dns (9.0.190604.0) stable; urgency=medium

  * Replaced mentions of Symbiosis with Sympl.
  * Renamed package to sympl-dns

 -- Paul Cammish <sympl@kelduum.net>  Tue, 04 Jun 2019 23:00:00 +0100

symbiosis-dns (2017:0424) stable; urgency=medium

  * Updated copyright, compat file.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:10:43 +0100

symbiosis-dns (2015:1011) stable; urgency=medium

  * Avoid generating invalid SPF records by stripping any potential
   newline characters prior to generating them.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 21 Jan 2016 10:04:49 +0000

symbiosis-dns (2015:1010) stable; urgency=medium

  * Fixed up DMARC record generation to produce valid records.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 14 Jan 2016 16:44:59 +0000

symbiosis-dns (2015:1009) stable; urgency=medium

  * symbiosis-dns-generate, avoid corrupting DNS data when out of disc space.
  * Fixed "filtering" percent on DMARC record to reflect antispam flag.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 12 Oct 2015 16:25:13 +0100

symbiosis-dns (2015:0825) stable; urgency=medium

  * Updated postinst to use the Debian maintscript helpers to remove
    conffiles.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 25 Aug 2015 12:04:26 +0100

symbiosis-dns (2015:0618) stable; urgency=medium

  * Updated File#exists? to File#exist?
  * Custom TTLs can now be set using a value in config/ttl
  * Added DMARC support via config/dmarc
  * Deprecated bytemark_antispam flag
  * Fix the SPF record so it doesn't include CR/LF.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 17 Jun 2015 10:38:10 +0100

symbiosis-dns (2015:0128) stable; urgency=low

  * Updated Debian standards.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Jan 2015 10:00:01 +0000

symbiosis-dns (2014:1118) stable; urgency=low

  * Remove symbiosis-tinydns cronjob.

 -- James Carter <jcarter@bytemark.co.uk>  Tue, 18 Nov 2014 18:07:57 +0000

symbiosis-dns (2014:1110) stable; urgency=low

  * Added SRV record generator.
  * Added SRV records for XMPP and mail services.
  * Set TTL for Bytemark nospam records to 300 to match other records.
  * Make sure the domain has the appropriate methods before trying to use
    them.

 -- James Carter <jcarter@bytemark.co.uk>  Mon, 10 Nov 2014 10:43:21 +0000

symbiosis-dns (2014:0226) stable; urgency=low

  * Removed unneeded preinst

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 26 Feb 2014 15:54:25 +0000

symbiosis-dns (2014:0214) stable; urgency=low

  * Added replaces/conflicts with symbiosis-tinydns.
  * Added bug control.
  * Removed DH_VERBOSE from rules.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 14 Feb 2014 13:08:57 +0000

symbiosis-dns (2014:0115) stable; urgency=low

  * Added provides symbiosis-tinydns.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 15 Jan 2014 09:57:16 +0000

symbiosis-dns (2014:0113) stable; urgency=low

  * Updated maintainer and uploaders.
  * Updated symbiosis-common dependency.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 13 Jan 2014 17:04:03 +0000

symbiosis-dns (2013:1025) stable; urgency=low

  * Renamed package.
  * Moved ERB interpreter to a custom Erubis one, to make tinydns-esque
    escaping of variables "just work"(tm).
  * Added SPF and bytemark_antispam test.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 25 Oct 2013 10:18:36 +0100

symbiosis-tinydns (2013:0610) stable; urgency=low

  * Updated symbiosis-dns-generate to have a sleep option, as well as general
    tidying.
  * --bytemarkdns-dir option documented
  * --template option better documented
  * The hash checksum file will not be written if upload fails.
  * Updated crontab to use new sleep option at midnight.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 10 Jun 2013 11:50:36 +0100

symbiosis-tinydns (2013:0606) oldstable; urgency=low

  * Updated postinst to work better on non-Bytemark IPs.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Jun 2013 17:23:05 +0100

symbiosis-tinydns (2012:0222) oldstable; urgency=low

  * Updated copyright and documentation links.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 22 Feb 2012 14:07:42 +0000

symbiosis-tinydns (2012:0215) stable; urgency=low

  * Added an --upload flag to symbiosis-dns-generate.
  * Fixed cron.d not to forcibly recreate all DNS data at midnight everyday.
  * Fixed symbiosis-dns-generate to upload data when changes to files other
    than dns/domain.txt have been made.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 15 Feb 2012 09:40:52 +0000

symbiosis-tinydns (2012:0208) stable; urgency=low

  * Updated DNS template to use the neater ERB syntax.
  * Added uses_bytemark_antispam? methods to Symbiosis::Domain.
  * Required 'symbiosis/domain/dns' in the config file library

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 01 Feb 2012 15:56:28 +0000

symbiosis-tinydns (2012:0201) stable; urgency=low

  * Changed packaging not to overwrite template.
  * symbiosis-dns-generate no longer spams cron (fixes #2976)
  * Fixed tinydns.template.erb to define an A record for the mx.domain
  * Added bytemark-antispam automatic updating of DNS records.
  * Updated Bytemark antispam hostlist to include the IPv6 range.
  * Updated scripts to specify ruby1.8

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 27 Jan 2012 11:46:12 +0000

symbiosis-tinydns (2012:0124) stable; urgency=low

   * symbiosis-tinydns packaging now tidy.
   * symbiosis-tinydns postinst now munches old template into new (if one is
     left lying around) symbiosis-dns-generate tidyied a little.
   * symbiosis-dns-generate generation is now fully rubyfied.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 24 Jan 2012 13:18:05 +0000

symbiosis-tinydns (2012:0117) stable; urgency=low

  * Rewrote symbiosis-dns-generate script in ruby making use of
    Symbiosis::ConfigFile utilities.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 17 Jan 2012 20:52:03 +0000



=== debian/control ===
Source: sympl-dns
Section: net
Priority: extra
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), gem2deb, txt2man, ruby
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-dns
Architecture: all
Depends: rsync, wget, unzip, ruby, sympl-common, ${misc:Depends}
Replaces: symbiosis-dns
Conflicts: symbiosis-dns
Provides: symbiosis-dns
Description: Automatic DNS record creation and uploading for Bytemark customers
 This package contains tools to create TinyDNS files which may be uploaded
 to the Bytemark DNS host.
 .
 The generated TinyDNS files will be automatically uploaded to the Bytemark
 content DNS service, where they will be visible and may be queried directly
 via:
 .
   * a.ns.bytemark.co.uk
 .
   * b.ns.bytemark.co.uk
 .
   * c.ns.bytemark.co.uk
 .

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build-indep:
	$(MAKE) docs

override_dh_auto_clean:
	$(MAKE) clean
